Subject: [Ietf-calsify] DTEND for day events

From: bernard.desruisseaux at oracle.com (Bernard Desruisseaux)
Date: Tue Oct 11 17:06:02 2005

Mike,

This is not allowed.

See RFC 2445, Section 4.6.1 Event Component, Page 53:

    The "VEVENT" is also the calendar component used to specify an
    anniversary or daily reminder within a calendar. These events have a
    DATE value type for the "DTSTART" property instead of the default
    data type of DATE-TIME. If such a "VEVENT" has a "DTEND" property, it
    MUST be specified as a DATE value also.

Cheers,
Bernard

Mike Douglass wrote:

> Slightly related, is a vevent DATE DTEND allowed with a DATE-TIME 
> DTSTART and if so what does it mean?
> 
> I could only find that a DATE DTSTART requires a DATE DTEND if present.
>